SenderThread (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.agent.server.SenderThread class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.agent.server
Class SenderThread

    java.lang.Object
      org.hyperic.hq.agent.server.monitor.AgentMonitorSimple
          org.hyperic.hq.measurement.agent.server.SenderThread

All Implemented Interfaces:
  java.lang.Runnable, AgentMonitorInterface, Sender

    public class SenderThread

extends AgentMonitorSimple
implements Sender, java.lang.Runnable

Deals with sending measurements back to the server (including persisting them on disk.)

Field Summary

Fields inherited from interface org.hyperic.hq.agent.server.monitor.AgentMonitorInterface
`KEY_KEYS, KEY_TYPES`

Method Summary
`double` | `getNumBatchesSent()` MONITOR METHOD: Get the number of batches which have successfully sent to the server
`double` | `getServerOffset()` MONITOR METHOD: Get the offset in ms between the agent and server
`double` | `getTotBatchSendTime()` MONITOR METHOD: Get the total amount of time that the client has spent sending batches
`double` | `getTotMetricsSent()` MONITOR METHOD: Get the total number of metrics which have been transmitted to the server
`void` | `processData(int dsnId, MetricValue data, int derivedID)`
`void` | `run()`

Methods inherited from class org.hyperic.hq.agent.server.monitor.AgentMonitorSimple
`getMonitorKeys, getMonitorTypes, getMonitorValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processData

    public void processData(int dsnId,
                            MetricValue data,
                            int derivedID)

  Specified by:
    `processData` in interface `Sender`

### getNumBatchesSent

    public double getNumBatchesSent()
                             throws AgentMonitorException

  MONITOR METHOD: Get the number of batches which have successfully sent to the server

  Throws:
    `AgentMonitorException`

### getTotBatchSendTime

    public double getTotBatchSendTime()
                               throws AgentMonitorException

  MONITOR METHOD: Get the total amount of time that the client has spent sending batches

  Throws:
    `AgentMonitorException`

### getTotMetricsSent

    public double getTotMetricsSent()
                             throws AgentMonitorException

  MONITOR METHOD: Get the total number of metrics which have been transmitted to the server

  Throws:
    `AgentMonitorException`

### getServerOffset

    public double getServerOffset()
                           throws AgentMonitorException

  MONITOR METHOD: Get the offset in ms between the agent and server

  Throws:
    `AgentMonitorException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.